Package icyllis.modernui.view

# Class WindowManager.LayoutParams

java.lang.Object
icyllis.modernui.view.ViewGroup.LayoutParams
icyllis.modernui.view.WindowManager.LayoutParams

Enclosing interface:
  `WindowManager`

public static class WindowManager.LayoutParams extends ViewGroup.LayoutParams

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FIRST_APPLICATION_WINDOW`
  `static final int`
  `FIRST_SUB_WINDOW`
  `static final int`
  `FIRST_SYSTEM_WINDOW`
  `static final int`
  `FLAG_NOT_FOCUSABLE`
  `static final int`
  `FLAG_NOT_TOUCH_MODAL`
  `int`
  `flags`
  `int`
  `gravity`
  `float`
  `horizontalMargin`
  `float`
  `horizontalWeight`
  Indicates how much of the extra space will be allocated horizontally to the view associated with these LayoutParams.
  `static final int`
  `LAST_APPLICATION_WINDOW`
  `static final int`
  `LAST_SUB_WINDOW`
  `static final int`
  `LAST_SYSTEM_WINDOW`
  `int`
  `type`
  `static final int`
  `TYPE_APPLICATION_ABOVE_SUB_PANEL`
  `static final int`
  `TYPE_APPLICATION_PANEL`
  `static final int`
  `TYPE_APPLICATION_SUB_PANEL`
  `static final int`
  `TYPE_BASE_APPLICATION`
  `static final int`
  `TYPE_TOAST`
  `float`
  `verticalMargin`
  `float`
  `verticalWeight`
  Indicates how much of the extra space will be allocated vertically to the view associated with these LayoutParams.
  `int`
  `x`
  X position for this window.
  `int`
  `y`
  Y position for this window.

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `height, MATCH_PARENT, width, WRAP_CONTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutParams()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isModal()`
  True if the window should consume all pointer events itself, regardless of whether they are inside of the window.

  ### Methods inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `resolveLayoutDirection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    public int x
    X position for this window. With the default gravity it is ignored. When using `Gravity.LEFT` or `Gravity.START` or `Gravity.RIGHT` or `Gravity.END` it provides an offset from the given edge.

  - ### y

    public int y
    Y position for this window. With the default gravity it is ignored. When using `Gravity.TOP` or `Gravity.BOTTOM` it provides an offset from the given edge.

  - ### horizontalWeight

    public float horizontalWeight
    Indicates how much of the extra space will be allocated horizontally to the view associated with these LayoutParams. Specify 0 if the view should not be stretched. Otherwise the extra pixels will be pro-rated among all views whose weight is greater than 0.

  - ### verticalWeight

    public float verticalWeight
    Indicates how much of the extra space will be allocated vertically to the view associated with these LayoutParams. Specify 0 if the view should not be stretched. Otherwise the extra pixels will be pro-rated among all views whose weight is greater than 0.

  - ### type

    public int type

  - ### FIRST_APPLICATION_WINDOW

    public static final int FIRST_APPLICATION_WINDOW
    See Also:
      - Constant Field Values

  - ### TYPE_BASE_APPLICATION

    public static final int TYPE_BASE_APPLICATION
    See Also:
      - Constant Field Values

  - ### LAST_APPLICATION_WINDOW

    public static final int LAST_APPLICATION_WINDOW
    See Also:
      - Constant Field Values

  - ### FIRST_SUB_WINDOW

    public static final int FIRST_SUB_WINDOW
    See Also:
      - Constant Field Values

  - ### TYPE_APPLICATION_PANEL

    public static final int TYPE_APPLICATION_PANEL
    See Also:
      - Constant Field Values

  - ### TYPE_APPLICATION_SUB_PANEL

    public static final int TYPE_APPLICATION_SUB_PANEL
    See Also:
      - Constant Field Values

  - ### TYPE_APPLICATION_ABOVE_SUB_PANEL

    @Internal public static final int TYPE_APPLICATION_ABOVE_SUB_PANEL
    See Also:
      - Constant Field Values

  - ### LAST_SUB_WINDOW

    public static final int LAST_SUB_WINDOW
    See Also:
      - Constant Field Values

  - ### FIRST_SYSTEM_WINDOW

    public static final int FIRST_SYSTEM_WINDOW
    See Also:
      - Constant Field Values

  - ### TYPE_TOAST

    @Internal public static final int TYPE_TOAST
    See Also:
      - Constant Field Values

  - ### LAST_SYSTEM_WINDOW

    public static final int LAST_SYSTEM_WINDOW
    See Also:
      - Constant Field Values

  - ### FLAG_NOT_FOCUSABLE

    public static final int FLAG_NOT_FOCUSABLE
    See Also:
      - Constant Field Values

  - ### FLAG_NOT_TOUCH_MODAL

    public static final int FLAG_NOT_TOUCH_MODAL
    See Also:
      - Constant Field Values

  - ### flags

    public int flags

  - ### gravity

    public int gravity

  - ### horizontalMargin

    public float horizontalMargin

  - ### verticalMargin

    public float verticalMargin

- ## Constructor Details

  - ### LayoutParams

    public LayoutParams()

- ## Method Details

  - ### isModal

    @Internal public boolean isModal()
    True if the window should consume all pointer events itself, regardless of whether they are inside of the window. If the window is modal, its touchable region will expand to the size of its task.